-- This Source Code Form is subject to the terms of the bCDDL, v. 1.1.
-- If a copy of the bCDDL was not distributed with this
-- file, You can obtain one at http://beamng.com/bCDDL-1.1.txt
-- Transbrake BeamNG.drive 0.9.x Launch Control by GameTapped.com aka MatchBox201
-- Do Not Remove Comments

local M = {}
local locked = false

local function init()
	electrics.values.tcclock = 0
end

local function updateGFX(dt)
	if electrics.values.tcclock == 1  and not locked then
		locked = true
		gui.message("TCC Lock On", 0, "^tcclock\\.")
	elseif electrics.values.tcclock == 0 and locked then
		gui.message("", 0, "^tcclock\\.")
		locked = false
	end
	if locked and electrics.values.lockupClutchRatio == 0 then
		electrics.values.lockupClutchRatio = 1
	end
end

	--print(electrics.values.lockupClutchRatio)
-- public interface
M.updateGFX      = updateGFX
M.onInit      = init
M.onReset     = init
return M
																																																																																																																																																											                                                                                                                                